Bug 996489 - Review Request: rubygem-tins - Useful tools library in Ruby
Review Request: rubygem-tins - Useful tools library in Ruby
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 972544 993365 996139
  Show dependency treegraph
 
Reported: 2013-08-13 05:29 EDT by Achilleas Pipinellis
Modified: 2016-01-04 00:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 11:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Achilleas Pipinellis 2013-08-13 05:29:09 EDT
Spec URL: http://axilleas.fedorapeople.org/pkgs/rubygem-tins/rubygem-tins.spec
SRPM URL: http://axilleas.fedorapeople.org/pkgs/rubygem-tins/rubygem-tins-0.8.3-1.fc19.src.rpm

Description: All the stuff that isn't good/big enough for a real library.

Fedora Account System Username: axilleas
Comment 1 Josef Stribny 2013-08-13 05:49:21 EDT
I will take it for a review.
Comment 2 Josef Stribny 2013-08-13 06:17:53 EDT
1, Please remove the trailing white space:
* after BuildRequires: rubygems-devel
* after BuildRequires: rubygem(test-unit)

2, Please put the dot at the end of -doc subpackage description

3, Should the license be "X11 or MIT" (taken from the README)? Since only MIT is included as a standalone file and in the .gemspec, it's probably better to list only MIT. Maybe you can ask upstream for clarification?

Otherwise the spec is alright, it builds, installs and runs, rpmlint doesn't complaint and the issues mentioned above are minor so I am APPROVING the package. Please resolve the issues above before pushing.
Comment 3 Achilleas Pipinellis 2013-08-13 07:49:16 EDT
(In reply to Josef Stribny from comment #2)
> 1, Please remove the trailing white space:
> * after BuildRequires: rubygems-devel
> * after BuildRequires: rubygem(test-unit)
> 

Hmm, for some reason these are from gem2rpm, fixed.

> 2, Please put the dot at the end of -doc subpackage description
> 

Fixed.

> 3, Should the license be "X11 or MIT" (taken from the README)? Since only
> MIT is included as a standalone file and in the .gemspec, it's probably
> better to list only MIT. Maybe you can ask upstream for clarification?

I filled an issue: https://github.com/flori/tins/issues/5
Comment 4 Achilleas Pipinellis 2013-08-13 07:51:29 EDT
New Package SCM Request
=======================
Package Name: rubygem-tins
Short Description: Useful tools library in Ruby
Owners: axilleas
Branches: f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-08-13 08:53:11 EDT
Git done (by process-git-requests).
Comment 6 Vít Ondruch 2013-08-13 10:11:48 EDT
(In reply to Axilleas Pipinellis from comment #3)
> (In reply to Josef Stribny from comment #2)
> > 1, Please remove the trailing white space:
> > * after BuildRequires: rubygems-devel
> > * after BuildRequires: rubygem(test-unit)
> > 
> 
> Hmm, for some reason these are from gem2rpm, fixed.

Yes, that is gem2rpm thing. There might be appended version, in that case there would be space between the BR and version, since there is no version, just the space remains. Fix polishing this behavior is appreciated, but I have not come up yet with any solution I would like mysel

> > 3, Should the license be "X11 or MIT" (taken from the README)? Since only
> > MIT is included as a standalone file and in the .gemspec, it's probably
> > better to list only MIT. Maybe you can ask upstream for clarification?
> 
> I filled an issue: https://github.com/flori/tins/issues/5

They are the same license, MIT for is the right one for Fedora.

https://fedoraproject.org/wiki/Licensing:Main#Software_License_List
Comment 7 Achilleas Pipinellis 2013-08-13 11:26:35 EDT
A(In reply to Vít Ondruch from comment #6)
> 
> > > 3, Should the license be "X11 or MIT" (taken from the README)? Since only
> > > MIT is included as a standalone file and in the .gemspec, it's probably
> > > better to list only MIT. Maybe you can ask upstream for clarification?
> > 
> > I filled an issue: https://github.com/flori/tins/issues/5
> 
> They are the same license, MIT for is the right one for Fedora.
> 
> https://fedoraproject.org/wiki/Licensing:Main#Software_License_List

Anyhow, the author was kind enough to release a 0.8.4 version, which clarifies the license :)
Comment 8 Mamoru TASAKA 2013-08-13 12:09:05 EDT
At least please fix changelog.
Comment 9 Achilleas Pipinellis 2013-08-13 13:42:32 EDT
Crap, I forgot it. 

How should I fix it now? I should do a version bump for it to rebuild and get the change to the repos, right? 

Should I add two more changelogs, one about the version update (0.8.4-1) and another one (0.8.4-2) about the previous forgotten changelog?
Comment 10 Mamoru TASAKA 2013-08-13 20:47:19 EDT
As this package has not pushed into F-19 stable yet, it is much better to bumping release, fixing changelog than to leave inconsistent changelog. Leaving this unfixed makes it harder to fix this later.
Comment 11 Vít Ondruch 2013-08-23 10:32:38 EDT
Axilleas, you can now push the build into the stable and close this bug. BTW, since you pushed the update into stable Fedora via Bodhi, it is good to reverence this ticket there. Bodhi would take care about this BZ and closed it for you.
Comment 12 Achilleas Pipinellis 2013-08-23 11:05:56 EDT
Hmm, I thought I did in the package update submission but seems I missed it...
I pushed it to stable, thanks for reminding.
Comment 13 Jan Klepek 2013-11-03 14:03:56 EST
Package SCM Request
=======================
Package Name: rubygem-tins
Short Description: Useful tools library in Ruby
Owners: hpejakle
Branches: el6 el5
InitialCC: axilleas
Comment 14 Jan Klepek 2013-11-04 04:02:58 EST
Package Change Request
======================
Package Name: rubygem-tins
Short Description: Useful tools library in Ruby
Owners: hpejakle
Branches: el6 el5
InitialCC: axilleas
Comment 15 Gwyn Ciesla 2013-11-04 07:48:41 EST
Git done (by process-git-requests).

Corrected branch formatting.

Note You need to log in before you can comment on or make changes to this bug.